Transit events
curl --request POST \
--url https://api.astrom8.com/api/v3/western/transits \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"birth_date": "1992-04-15",
"birth_time": "08:30",
"birth_lat": 0,
"birth_lon": 0,
"target_date": "2026-07-09",
"birth_place": "<string>",
"orb_days": 3
}
'import requests
url = "https://api.astrom8.com/api/v3/western/transits"
payload = {
"birth_date": "1992-04-15",
"birth_time": "08:30",
"birth_lat": 0,
"birth_lon": 0,
"target_date": "2026-07-09",
"birth_place": "<string>",
"orb_days": 3
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
birth_date: '1992-04-15',
birth_time: '08:30',
birth_lat: 0,
birth_lon: 0,
target_date: '2026-07-09',
birth_place: '<string>',
orb_days: 3
})
};
fetch('https://api.astrom8.com/api/v3/western/transits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"target_date": "2023-12-25",
"birth_place": "<string>",
"transits": [
{
"transit_planet": "<string>",
"natal_planet": "<string>",
"orb": 123,
"applying": true,
"separating": true,
"exact_date": "<string>",
"interpretation_en": "<string>",
"interpretation_th": "<string>"
}
]
}{
"error": "unauthorized",
"message": "Invalid API key",
"code": "401",
"request_id": "01HQXYZ..."
}{
"error": "payment_required",
"message": "Insufficient credits for this request",
"code": "402",
"request_id": "01HQXYZ..."
}{
"error": "<string>",
"message": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"error": "internal_server_error",
"message": "Could not compute Panchang.",
"code": "internal",
"request_id": "01HQXYZ..."
}Western
Transit events
POST
/
api
/
v3
/
western
/
transits
Transit events
Authorizations
Use the raw API key as the Bearer token, or send X-API-Key instead.
Body
application/json
Example:
"1992-04-15"
Pattern:
^\d{2}:\d{2}$Example:
"08:30"
Required range:
-90 <= x <= 90Required range:
-180 <= x <= 180Example:
"2026-07-09"
Optional label echoed back in the response.
Required string length:
1 - 200Required range:
0 <= x <= 7⌘I